﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Cloud : MonoBehaviour
{
	public AudioClip soundPickup;

	public void OnTriggerEnter2D(Collider2D col)
	{
		if (col.gameObject.tag != "Player")
			return;
		GameLogic.instance.UpdateBoltCount(+1);
		AudioSource.PlayClipAtPoint(soundPickup, Camera.main.transform.position);

		var newGo = Instantiate(gameObject);
		var pos = newGo.transform.position;
		var minX = GetComponent<Mover>().minX;
		pos.x = Random.Range(minX * 2, minX);
		newGo.transform.position = pos;

		Destroy(GetComponent<Collider2D>());
		StartCoroutine(Destruction());
	}

	IEnumerator Destruction()
	{
		var sprite = GetComponent<SpriteRenderer>();
		var a = sprite.color.a;
		for (int i = 0; i < 10; ++i)
		{
			sprite.color = new Color(1,1,1, a - a*i/10f);
			yield return 0;
		}
		Destroy(gameObject);
	}
}
