﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameLogic : MonoBehaviour
{
	static public GameLogic instance;

	public UnityEngine.UI.Text uiTrains;
	public UnityEngine.UI.Text uiBolts;
	public UnityEngine.UI.Text uiTime;
	public UnityEngine.UI.Image uiWin;
	public UnityEngine.UI.Image uiBlend;

	public AudioClip soundWin;

	public int boltCount { get; set; }
	public bool win { get; set; }
	public float timeStart { get; set; }
	private int trainCount;

	public void Awake()
	{
		instance = this;
	}

	public void Start()
	{
		UpdateTrainCount();
		uiWin.enabled = false;
		uiBlend.enabled = true;
	}

	public void UpdateTrainCount()
	{
		trainCount = GameObject.FindGameObjectsWithTag("Train").Length;
		uiTrains.text = string.Format("Trains: <b>{0}</b>", trainCount);
		if (trainCount == 0)
			Win();
	}

	public void UpdateBoltCount(int delta)
	{
		boltCount += delta;
		uiBolts.text = string.Format("Lightnings: <b>{0}</b>", boltCount);
	}

	void Update ()
	{
		if (!win)
		{
			uiTime.text = string.Format("Time: <b>{0:F1}</b>", Time.timeSinceLevelLoad - timeStart);
		}
		else
		{
			if (Input.GetButtonDown("Jump") || Input.GetButtonDown("Fire1"))
				Application.LoadLevel(Application.loadedLevel);
		}
	}

	void Win ()
	{
		if (win)
			return;
		AudioSource.PlayClipAtPoint(soundWin, Camera.main.transform.position);
		win = true;
		uiBolts.enabled = false;
		uiTrains.enabled = false;
		uiWin.enabled = true;
		uiBlend.enabled = true;
	}
}
